
package net.kaikoga.fusalg {
	
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.PixelSnapping;
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.Event;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.util.KeyState;
	import net.kaikoga.fusalg.util.KeyStateListener;
	import net.kaikoga.text.TextDownSprite;
	
	public class Fusalg extends Sprite {
		
		public var field:Field;
		public var bitmap:Bitmap;
		public var bitmapData:BitmapData;
		
		public function Fusalg() {
			super();
			init();
			this.addEventListener(Event.RESIZE, this.onResize);
		}
		
		private function init():void {
			this.stage.scaleMode = StageScaleMode.NO_SCALE;
			this.stage.align = StageAlign.TOP_LEFT;
			var tds:TextDownSprite = new TextDownSprite(true);
			this.bitmapData = new BitmapData(512, 384, false, 0xFF00FF);
			this.bitmap = new Bitmap(this.bitmapData, PixelSnapping.NEVER, false);
			tds.addChild(this.bitmap);
			var keystate:KeyState = new KeyState();
			var listener:KeyStateListener = new KeyStateListener(keystate);
			listener.listen(tds);
			this.field = new Field(this.bitmapData, keystate);
			this.addChild(tds);
			this.addEventListener(Event.ENTER_FRAME, this.onEnterFrame);
		}
		
		private function onEnterFrame(evt:Event):void {
			this.field.frameMove();
		}
		
		private function onResize(evt:Event):void {
			
		}
		
	}
}
