﻿
package net.kaikoga.fusalg.area {
	
	import net.kaikoga.fusalg.cellinfo.FieldCellInfos;
	import net.kaikoga.fusalg.field.Cell;
	import net.kaikoga.fusalg.field.Row;
	import net.kaikoga.fusalg.field.Field;

	/**
	 * ...
	 * @author kaikoga
	 */
	public class AreaTitle extends AArea {
		
		private var chipInfos:FieldCellInfos;
		
		public function AreaTitle() {
			super(-1);
			this.chipInfos = FieldCellInfos.getInstance();
			this.areaText = "  GAME";
			this.areaNameText = '    OVER';
		}
		
		override public function onEnterSelf(field:Field):void {
			super.onEnterSelf(field);
		}
		
		override protected function buildRow(field:Field, row:Row, index:int):void {
			for (var i:int = 1; i < Field.ROW_CELLS; i++) {
				Cell(row.cells[i]).reset(this.chipInfos.groundSet1.vert);
			}
			row.resetSideChip(this.chipInfos.sideSet.vert);
		}
		
	}
	
}
