﻿
package net.kaikoga.fusalg.area.area2 {
	
	import net.kaikoga.fusalg.area.AFieldArea;
	import net.kaikoga.fusalg.area.Areas;
	import net.kaikoga.fusalg.field.Cell;
	import net.kaikoga.fusalg.field.Row;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.enemya.Umaa
	import net.kaikoga.fusalg.mortal.enemyc.InsectB;

	/**
	 * ...
	 * @author kaikoga
	 */
	public class Area2_1 extends AFieldArea {

		private static const AREA_MESSAGES:Object/*Array*/ = {
			amira:[
				"amira_2_1_1"
			],
			waltz:[
				"waltz_2_1_1"
			],
			ghanae:[
				"ghanae_2_1_1"
			],
			silruy:[
				"silruy_2_1_1"
			]
		}
		
		public function Area2_1(field:Field) {
			super(32 - field.flags.getProceeding(9, 0, 10, 0) * 16);
			this.shrubRate = 0.3;
			this.bushRate = 0.02;
			this.rockRate = 0.01;
			this.areaText = " AREA 2-1";
			this.areaNameText = ' "MANSION"';
			this.areaMessages = AREA_MESSAGES;
		}
		
		override protected function buildRow(field:Field, row:Row, index:int):void {
			super.buildRow(field, row, index);
			switch (index & 3) {
				case 0:
				field.addEnemy(new Umaa());
				break;
				case 2:
				field.addEnemy(new InsectB());
				break;
			}
		}
		
		override public function nextArea(field:Field):void {
			if (field.flags.timeIsBefore(12, 0)) {
				field.nextArea(new Area2_2(field));
			} else {
				field.nextArea(Areas.getTownEntry(field, 3));
			}
		}
	}
	
}
