﻿
package net.kaikoga.fusalg.area.area3 {
	
	import net.kaikoga.fusalg.area.AArea;
	import net.kaikoga.fusalg.area.Areas;
	import net.kaikoga.fusalg.cellinfo.AvenueCellInfos;
	import net.kaikoga.fusalg.field.Cell;
	import net.kaikoga.fusalg.field.Row;
	import net.kaikoga.fusalg.field.Field;

	/**
	 * ...
	 * @author kaikoga
	 */
	public class Area3_Exit extends AArea {
		
		private var chipInfos:AvenueCellInfos;

		public function Area3_Exit() {
			super(1);
			this.chipInfos = AvenueCellInfos.getInstance();
		}
		
		override protected function buildRow(field:Field, row:Row, index:int):void {
			for (var i:int = 1; i < Field.ROW_CELLS; i++) {
				Cell(row.cells[i]).reset(this.chipInfos.grass1);
			}
			row.resetSideChip(this.chipInfos.lsideSet.top, this.chipInfos.rsideSet.top);
		}
		
		override public function nextArea(field:Field):void {
			field.nextArea(Areas.getTownEntry(field, 4));
		}
	}
	
}
