﻿
package net.kaikoga.fusalg.area.area4 {
	
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.util.FusalgMath;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class PalaceAreaContext {
		
		public var nowLeft:int;
		public var nowRight:int;
		public var nowLevel:int = 1;
		
		public function PalaceAreaContext() {
			super();
			this.nowLeft = FusalgMath.randomInt(3, 5);
			this.nowRight = FusalgMath.randomInt(5, 7);
		}
		
		public function shuffle():void {
			this.nowLevel = FusalgMath.randomInt(4, 12);
			var a:int = FusalgMath.randomInt(1, 9);
			this.nowLeft = a + FusalgMath.randomInt(-2, 0);
			this.nowRight = a + FusalgMath.randomInt(0, 2);
			if (this.nowLeft < 1) {
				this.nowLeft = 1;
			}
			if (this.nowRight >= Field.ROW_CELLS) {
				this.nowRight = Field.ROW_CELLS - 1;
			}
		}
	}
	
}
