﻿
package net.kaikoga.fusalg.area.area5 {
	
	import net.kaikoga.fusalg.area.AArea;
	import net.kaikoga.fusalg.area.Areas;
	import net.kaikoga.fusalg.cellinfo.RemnantCellInfos;
	import net.kaikoga.fusalg.field.Cell;
	import net.kaikoga.fusalg.field.Row;
	import net.kaikoga.fusalg.field.Field;

	/**
	 * ...
	 * @author kaikoga
	 */
	public class Area5_Exit extends AArea {
		
		private var chipInfos:RemnantCellInfos;

		public function Area5_Exit() {
			super(1);
			this.chipInfos = RemnantCellInfos.getInstance();
		}
		
		override protected function buildRow(field:Field, row:Row, index:int):void {
			for (var i:int = 1; i < Field.ROW_CELLS; i++) {
				Cell(row.cells[i]).reset(this.chipInfos.groundSet1.top);
			}
			Cell(row.cells[0]).reset(this.chipInfos.sideHSet.bottom);
			Cell(row.cells[Field.ROW_CELLS - 1]).reset(this.chipInfos.sideHSet.top);
		}
		
		override public function nextArea(field:Field):void {
			field.nextArea(Areas.getTownEntry(field, 6));
		}
	}
	
}
