﻿
package net.kaikoga.fusalg.audio {
	
	import flash.media.Sound;
	import flash.media.SoundChannel;
	import flash.media.SoundTransform;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class AudioData {
		
		public var name:String;
		private var sound:Sound;
		private var transform:SoundTransform;
		private var willLoop:Boolean;
		public var channel:String;
		public var willOverride:Boolean;
		
		public function AudioData(name:String, sound:Sound, volume:Number, willloop:Boolean = false, channel:String = null, willoverride:Boolean = true) {
			super();
			this.name = name;
			this.sound = sound;
			this.transform = new SoundTransform(volume);
			this.willLoop = willloop;
			this.channel = channel;
			this.willOverride = willoverride;
		}
		
		public function startSound(position:Number = 0):SoundChannel {
			if (this.sound) {
				return this.sound.play(position, this.willLoop ? int.MAX_VALUE : 0, this.transform);
			}
			return null;
		}
		
		public function toString():String {
			return "[AudioData "+this.name+" ]"
		}
	}
	
}
