﻿
package net.kaikoga.fusalg.audio {
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class ReleaseSounds extends Sounds {
		
		[Embed(source = "assets/music0.mp3")]
		private static const _music0:Class;
		[Embed(source = "assets/music1.mp3")]
		private static const _music1:Class;
		[Embed(source = "assets/music2.mp3")]
		private static const _music2:Class;
		[Embed(source = "assets/music3.mp3")]
		private static const _music3:Class;
		[Embed(source = "assets/music4.mp3")]
		private static const _music4:Class;
		[Embed(source = "assets/bell.mp3")]
		private static const _bell:Class;
		
		[Embed(source = "assets/sesword.mp3")]
		private static const _sesword:Class;
		[Embed(source = "assets/seaxe.mp3")]
		private static const _seaxe:Class;
		[Embed(source = "assets/seshield.mp3")]
		private static const _seshield:Class;
		[Embed(source = "assets/seattack.mp3")]
		private static const _seattack:Class;
		[Embed(source = "assets/sedamage.mp3")]
		private static const _sedamage:Class;
		[Embed(source = "assets/sedefeat.mp3")]
		private static const _sedefeat:Class;
		[Embed(source = "assets/selevelup.mp3")]
		private static const _selevelup:Class;
		[Embed(source = "assets/seterrain.mp3")]
		private static const _seterrain:Class;
		[Embed(source = "assets/seaura.mp3")]
		private static const _seaura:Class;

		[Embed(source = "assets/seflame.mp3")]
		private static const _seflame:Class;
		[Embed(source = "assets/searrow.mp3")]
		private static const _searrow:Class;
		[Embed(source = "assets/sefist.mp3")]
		private static const _sefist:Class;
		[Embed(source = "assets/sebomb.mp3")]
		private static const _sebomb:Class;
		
		[Embed(source = "assets/semessage.mp3")]
		private static const _semessage:Class;
		
		public function ReleaseSounds() {
			super();
		}
		
		override internal function init():void {
			this.music0 = new AudioData("music0", new _music0(), 1, true, "music");
			this.music1 = new AudioData("music1", new _music1(), 1, true, "music");
			this.music2 = new AudioData("music2", new _music2(), 1, true, "music");
			this.music3 = new AudioData("music3", new _music3(), 1, true, "music");
			this.music4 = new AudioData("music4", new _music4(), 1, true, "music");
			this.bell = new AudioData("bell", new _bell(), 1, false, "music");

			this.seSword = new AudioData("sword", new _sesword(), 0.2, false, "arm");
			this.seAxe = new AudioData("axe", new _seaxe(), 0.4, false, "arm");
			this.seShield = new AudioData("shield", new _seshield(), 0.4, false, "arm");
			this.seAttack = new AudioData("attack", new _seattack(), 1, false, "attack");
			this.seDamage = new AudioData("damage", new _sedamage(), 1, false, "damage");
			this.seDefeat = new AudioData("defeat", new _sedefeat(), 1, false, "attack");
			this.seLevelUp = new AudioData("levelup", new _selevelup(), 1, false, "levelup");
			this.seTerrain = new AudioData("terrain", new _seterrain(), 1, false, "attack");
			this.seAura = new AudioData("aura", new _seaura(), 1, false, "powerup");
			
			this.seFlame = new AudioData("flame", new _seflame(), 1, false, "assist");
			this.seArrow = new AudioData("arrow", new _searrow(), 1, false, "assist");
			this.seFist = new AudioData("fist", new _sefist(), 1, false, "assist");
			this.seBomb = new AudioData("bomb", new _sebomb(), 1, false, "assist");
			
			this.seMessage = new AudioData("message", new _semessage(), 1, false, "message");
		}
		
	}
	
}
