﻿
package net.kaikoga.fusalg.audio {
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class Sounds {
		
		public var music0:AudioData;
		public var music1:AudioData;
		public var music2:AudioData;
		public var music3:AudioData;
		public var music4:AudioData;
		public var bell:AudioData;
		
		public var seSword:AudioData;
		public var seAxe:AudioData;
		public var seShield:AudioData;
		public var seAttack:AudioData;
		public var seDamage:AudioData;
		public var seDefeat:AudioData;
		public var seLevelUp:AudioData;
		public var seTerrain:AudioData;
		public var seAura:AudioData;

		public var seFlame:AudioData;
		public var seArrow:AudioData;
		public var seFist:AudioData;
		public var seBomb:AudioData;
		
		public var seMessage:AudioData;
		
		public function Sounds() {
			super();
		}
		
		internal function init():void {
			this.music0 = new AudioData("music0", null, 1, true, "music");
			this.music1 = new AudioData("music1", null, 1, true, "music");
			this.music2 = new AudioData("music2", null, 1, true, "music");
			this.music3 = new AudioData("music3", null, 1, true, "music");
			this.music4 = new AudioData("music4", null, 1, true, "music");
			this.bell = new AudioData("bell", null, 1, false, "music");

			this.seSword = new AudioData("sword", null, 1, false, "arm");
			this.seAxe = new AudioData("axe", null, 1, false, "arm");
			this.seShield = new AudioData("shield", null, 1, false, "arm");
			this.seAttack = new AudioData("attack", null, 1, false, "attack");
			this.seDamage = new AudioData("damage", null, 1, false, "damage");
			this.seDefeat = new AudioData("defeat", null, 1, false, "attack");
			this.seLevelUp = new AudioData("levelup", null, 1, false, "levelup");
			this.seTerrain = new AudioData("terrain", null, 1, false, "attack");
			this.seAura = new AudioData("aura", null, 1, false, "powerup");
			
			this.seFlame = new AudioData("flame", null, 1, false, "assist");
			this.seArrow = new AudioData("arrow", null, 1, false, "assist");
			this.seFist = new AudioData("fist", null, 1, false, "assist");
			this.seBomb = new AudioData("bomb", null, 1, false, "assist");
			
			this.seMessage = new AudioData("message", null, 1, false, "message");
		}
		
		private static var instance:Sounds;
		
		public static function getInstance():Sounds {
			if (!instance) {
				//instance = new Sounds();
				instance = new ReleaseSounds();
				instance.init();
			}
			return instance;
		}
		
	}
	
}
