﻿
package net.kaikoga.fusalg.cellinfo {
	
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.chip.DotchipChipSet;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class PalaceCellInfos {
		
		public var groundSet:CellInfoSet;
		public var sideSet:CellInfoSet;

		public function PalaceCellInfos() {
			super();
			var chipset:DotchipChipSet = Chips.getInstance().palaceChipM;
			
			this.groundSet = CellInfoSet.createById(chipset, 0, 2, 4, null, true);
			this.sideSet = CellInfoSet.createById(chipset, 1, 3, 5, null, false);
		}
		
		private static var instance:PalaceCellInfos;
		
		public static function getInstance():PalaceCellInfos {
			if (!instance) {
				instance = new PalaceCellInfos();
			}
			return instance;
		}
		
	}
	
}
