﻿
package net.kaikoga.fusalg.chip {
	
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.geom.Rectangle;
	
	/**
	* ...
	* @author kaikoga
	*/
	public class DotchipChipSet extends AChipSet {
		
		private var chipWidth:int;
		private var chipHeight:int;
		
		public function DotchipChipSet(bitmapdata:BitmapData, chipwidth:int, chipheight:int, dirs:int = 4, names:Array/*String*/ = null) {
			super();
			if (chipwidth == 0) {
				chipwidth = bitmapdata.width;
			}
			if (chipheight == 0) {
				chipheight = bitmapdata.height;
			}
			this.chipWidth = chipwidth;
			this.chipHeight = chipheight;
			if (names) {
				var c:int = names.length;
				var x:int = 0;
				var y:int = 0;
				for (var i:int = 0; i < c; i++) {
					var bounds:Array = [];
					for (var dir:int = 0; dir < dirs; dir++) {
						bounds[dir] = new Rectangle(x, y, this.chipWidth, this.chipHeight);
						x += chipwidth;
						if (x >= bitmapdata.width) {
							x = 0;
							y += chipheight;
						}
					}
					var chip:DotchipChip = new DotchipChip(names[i], bitmapdata, bounds);
					this.addChip(chip);
				}
			}
		}
		
	}
	
}
