﻿
package net.kaikoga.fusalg.field {
	
	import net.kaikoga.fusalg.cellinfo.CellInfo;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class Row {
		
		public var cells:Array/*Cell*/;
		
		public function Row(cellinfo:CellInfo, side:CellInfo) {
			super();
			this.cells = [];
			for (var i:int = 0; i < Field.ROW_CELLS; i++) {
				if ((i == 0) || (i == Field.ROW_CELLS - 1)) {
					this.cells[i] = new Cell(side);
				} else {
					this.cells[i] = new Cell(cellinfo);
				}
			}
		}
		
		public function drawSelf(field:Field, offsetx:int, offsety:int):void {
			for (var i:int = 0; i < Field.ROW_CELLS; i++) {
				Cell(this.cells[i]).drawSelf(field, offsetx, offsety);
				offsetx += Field.CHIP_WIDTH;
			}
		}
		
		public function resetSideChip(side:CellInfo, rside:CellInfo = null):void {
			if (!rside) {
				rside = side;
			}
			Cell(this.cells[0]).reset(side);
			Cell(this.cells[Field.ROW_CELLS - 1]).reset(rside);
		}
	}
	
}
