﻿
package net.kaikoga.fusalg.mortal.ally {
	
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.AMortal;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class AuraStub extends AMortal {
		
		public var type:String;
		
		private static const CHIPNAMES_TYPE:Object/*Array*/= {
			power:["power1", "power2"],
			heal:["heal1", "heal2"],
			accel:["accel1", "accel2"],
			barrier:["barrier1", "barrier2"],
		};
		
		public function AuraStub(type:String) {
			super(Chips.getInstance().magicChipM);
			this.type = type;
		}
		
		override public function willDispose():Boolean {
			return !this.type;
		}
		
		override public function onHit(field:Field, src:AMortal):void {
			new Aura(this.type);
			this.type = null;
		}

		override public function frameMove(field:Field):void {
			super.frameMove(field);
			this.chipName = CHIPNAMES_TYPE[this.type][(this.frame++ & 2) ? 0 : 1];
		}
		
	}
	
}
