﻿
package net.kaikoga.fusalg.mortal.allystub {
	
	import net.kaikoga.fusalg.mortal.ally.AHeroine;
	import net.kaikoga.fusalg.mortal.ally.Waltz;
	import net.kaikoga.fusalg.mortal.AMortal;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.strings.FusalgStrings;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class WaltzStub extends AAllyStub {
		
		public function WaltzStub() {
			super("waltz", "waltz0");
		}
		
		override protected function createHeroine(field:Field):AHeroine {
			var result:Waltz = field.flags.waltz;
			if (!result) {
				result = new Waltz();
				field.flags.waltz = result;
			} else {
				field.messageLayer.flush();
				field.messageLayer.message(field, FusalgStrings.getString("waltz"));
			}
			return result;
		}
		
	}
	
}
