﻿
package net.kaikoga.fusalg.mortal.assist {
	
	import net.kaikoga.fusalg.chip.DotchipChipSet;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.ally.AHeroine;
	import net.kaikoga.fusalg.mortal.AMortal;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class AAssistMortal extends AMortal {
		
		protected var hitsEnemy:Boolean = true;

		protected var dx:int = 0;
		protected var dy:int = 0;
		
		public function AAssistMortal(parent:AHeroine, chips:DotchipChipSet) {
			super(chips);
			this.isProjectile = true;
			this.position.x = parent.position.x;
			this.position.y = parent.position.y;
		}
		
		override public function frameMove(field:Field):void {
			super.frameMove(field);
			this.position.x += this.dx;
			this.position.y += this.dy;
			if (this.hitsEnemy) {
				for (var i:int = field.enemies.length - 1; i >= 0; i--) {
					var enemy:AMortal = AMortal(field.enemies[i]);
					if (enemy.checkHit(this)) {
						this.onHit(field, enemy);
						enemy.onHit(field, this);
					}
				}
			}
		}
		
		
	}
	
}
