﻿
package net.kaikoga.fusalg.mortal.bullet {
	
	import flash.geom.Rectangle;
	import net.kaikoga.fusalg.chip.DotchipChipSet;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.ally.Fusa;
	import net.kaikoga.fusalg.mortal.AMortal;
	import net.kaikoga.fusalg.mortal.APart;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class ABullet extends AMortal {
		
		private var life:int = 1;
		
		public function ABullet(chips:DotchipChipSet) {
			super(chips);
			this.isProjectile = true;
		}
		
		override public function willDispose():Boolean {
			return (this.life == 0) || super.willDispose();
		}
		
		override public function onHit(field:Field, src:AMortal):void {
			if (src is Fusa) {
				this.life = 0;
			}
		}
	}
	
}
