﻿
package net.kaikoga.fusalg.mortal.effects {
	
	import flash.geom.Point;
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.field.Field;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class SparkEffect extends ASimpleEffect {
		
		private static const SHIFT:Point = new Point(-4, -4);
		
		public function SparkEffect(chipname:String, dir:int = -1) {
			super(Chips.getInstance().sparkChipS, 8, dir);
			this.chipName = chipname;
			this.chipShift = SHIFT;
			this.life = 8;
			this.blinkLife = 8;
		}
		
		override public function frameMove(field:Field):void {
			super.frameMove(field);
			this.dir = (this.dir + 1) & 3;
		}
		
	}
	
}
