﻿
package net.kaikoga.fusalg.mortal.enemya {
	
	import flash.geom.Rectangle;
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.ACharacter;
	import net.kaikoga.fusalg.util.FusalgMath;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class AEnemyA extends ACharacter {
		
		private var face1:String;
		private var face2:String;
		
		private var dx:int = 0;
		private var dy:int = 1;
		
		public function AEnemyA(face1:String, face2:String) {
			super(Chips.getInstance().slimeChipM);
			this.face1 = face1;
			this.face2 = face2;
			this.chipName = face1;
			this.projectileBound = new Rectangle(-12, -20, 24, 24);
			this.physicalBound = this.projectileBound;
		}
		
		public function run(field:Field, dx:int, dy:int):Boolean {
			if (dx | dy) {
				this.frame++;
			}
			this.chipName = ((this.frame >> 4) & 1) ? this.face1 : this.face2;
			return this.moveSelf(field, dx, dy);
		}

		override public function frameMove(field:Field):void {
			super.frameMove(field);
			this.frame++;
			if (this.life <= 0) {
				return;
			}
			if (Math.random() < 0.03) {
				this.dx = FusalgMath.randomInt( -1, 1) + ((field.avatar.position.x > this.position.x) ? 1 : -1);
				this.dy = FusalgMath.randomInt( -1, 2) + ((field.avatar.position.x > this.position.x) ? 1 : -1);
			}
			this.run(field, dx, dy);
		}

	}
	
}
