﻿
package net.kaikoga.fusalg.mortal.enemyb {
	
	import net.kaikoga.fusalg.chip.DotchipChipSet;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.ACharacter;
	import net.kaikoga.fusalg.mortal.ally.Fusa;
	import net.kaikoga.fusalg.mortal.AMortal;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class AEnemyB extends ACharacter {
		
		public function AEnemyB(chips:DotchipChipSet, face:String) {
			super(chips);
			this.chipName = face;
			this.singleDir = true;
		}
		
		override public function onHit(field:Field, src:AMortal):void {
			if (this.life == 0) {
				return;
			}
			if (this.invincibleFrames == 0) {
				var fusa:Fusa = src as Fusa;
				if (fusa) {
					fusa.life -= this.physicalDamage;
				}
			}
			super.onHit(field, src);
		}
		
		public function run(field:Field, dx:int, dy:int):Boolean {
			if (dx | dy) {
				this.frame++;
			}
			this.position.y++;
			return true;
		}

		override public function frameMove(field:Field):void {
			super.frameMove(field);
			this.frame++;
			this.run(field, 0, 1);
			this.dir = (this.frame >> 2) & 3;
		}

	}
	
}
