﻿
package net.kaikoga.fusalg.mortal.enemye {
	
	import flash.geom.Rectangle;
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.ACharacter;
	import net.kaikoga.fusalg.mortal.AMortal;
	import net.kaikoga.fusalg.util.FusalgMath;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class Wriggle extends ACharacter {
		
		private var dx:int;
		private var dy:int;
		
		public function Wriggle() {
			super(Chips.getInstance().zombieChipM);
			this.chipName = "wriggle";
			this.projectileBound = new Rectangle(-4, -4, 8, 8);
			this.physicalBound = this.projectileBound;
			this.physicalDamage = 10;
			var r:int = Math.random() * 8;
			var a:int = Math.random() * Math.PI * 2;
			this.dx = Math.floor(r * Math.sin(a));
			this.dy = Math.floor(r * Math.cos(a));
			this.killExp = 1;
			this.killGold = 5;
		}
		
		override public function onDispose(field:Field):void {
			super.onDispose(field);
		}
		
		override public function frameMove(field:Field):void {
			this.dir = (this.dir + 1) & 3;
			super.frameMove(field);
			if (++this.frame > 16) {
				this.dx = FusalgMath.randomInt(-2, 2);
				this.dy = FusalgMath.randomInt(-2, 2);
			}
			this.moveSelf(field, this.dx, this.dy);
		}
		
		override public function onGetDamage(field:Field, src:AMortal, damage:int):void {
			if (this.frame > 14) {
				super.onGetDamage(field, src, damage);
			}
		}
	}
	
}
