﻿
package net.kaikoga.fusalg.mortal.enemyf {
	
	import flash.geom.Rectangle;
	import net.kaikoga.fusalg.chip.DotchipChipSet;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.AWarriorProjectile;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class EnemyWarriorProjectile extends AWarriorProjectile {
		
		public function EnemyWarriorProjectile(chips:DotchipChipSet, life:int = 8, speed:int = 4, damage:int = 0) {
			super(chips, life, speed, 48);
			this.chipName = "wave1";
			this.projectileBound = new Rectangle(-16, -24, 32, 32);
			this.projectileDamage = damage;
		}
		
		override public function frameMove(field:Field):void {
			super.frameMove(field);
			if (field.avatar.checkHit(this)) {
				field.avatar.onHit(field, this);
				this.onHit(field, field.avatar);
			}
		}
		
	}
	
}
