﻿
package net.kaikoga.fusalg.mortal.npc {
	
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.AMortal;
	import net.kaikoga.fusalg.strings.FusalgStrings;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class MessengerNPC extends ANPC {
		
		private var message:String;
		
		public function MessengerNPC(message:String) {
			super(Chips.getInstance().npcChipM, "npc2", "npc20");
			this.message = message;
		}
		
		override public function onHitNPC(field:Field):void {
			field.messageLayer.flush();
			field.messageLayer.message(field, FusalgStrings.getString(this.message));
		}
		
	}
	
}
