﻿
package net.kaikoga.fusalg.mortal.npc {
	
	import net.kaikoga.fusalg.audio.Sounds;
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.ACharacter;
	import net.kaikoga.fusalg.strings.FusalgStrings;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class SilruyNPC extends ANPC {
		
		private var message:String;
		private var boss:ACharacter;
		
		public function SilruyNPC(message:String, boss:ACharacter = null) {
			super(Chips.getInstance().allyChipM, "silruy", "silruy0", true);
			this.message = message;
			this.boss = boss;
		}

		override public function onHitNPC(field:Field):void {
			field.messageLayer.flush();
			field.messageLayer.message(field, FusalgStrings.getString(this.message));
			this.life = 0;
			this.invincibleFrames = 96;
			if (this.boss) {
				field.addEnemy(this.boss);
				field.audioPlayer.trySwapAudio(Sounds.getInstance().music4);
			}
		}

	}
	
}
