﻿
package net.kaikoga.fusalg.strings {
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class FusalgJapaneseStrings extends AFusalgStrings {
		
		private static var STRINGS:Object = {
			//levelup:"Fusa has now entered level {0}.",
			weapon_enter:"Weapon shop.",
			weapon_cost:"{0}\n[Z:Sword {1}G][X:Axe {2}G]",
			weapon_z_ok:"[Z]: Paid {0}G.",
			weapon_z_ng:"[Z]: You don't have enough money.",
			weapon_x_ok:"[X]: Paid {0}G.",
			weapon_x_ng:"[X]: You don't have enough money.",
			armor_enter:"Armor shop.",
			armor_cost:"{0}\n[C:Shield {1}G]",
			armor_c_ok:"[C]: Paid {0}G.",
			armor_c_ng:"[C]: You don't have enough money.",
			accesory_enter:"Accesory shop.",
			accesory_cost:"{0}\n[Z:Diamond {1}G][X:Ruby {2}G][C:Platinum {3}G]",
			accesory_z_ok:"[Z]: Paid {0}G.",
			accesory_z_ng:"[Z]: You don't have enough money.",
			accesory_z_out:"[Z]: Sorry, we don't have that one any more.",
			accesory_x_ok:"[X]: Paid {0}G.",
			accesory_x_ng:"[X]: You don't have enough money.",
			accesory_x_out:"[X]: Sorry, we don't have that one any more.",
			accesory_c_ok:"[C]: Paid {0}G.",
			accesory_c_ng:"[C]: You don't have enough money.",
			accesory_c_out:"[C]: Sorry, we don't have that one any more.",
			mascot_enter:"Mascot shop.",
			mascot_cost:"{0}\n[Z:Ichisan {1}G][X:Horizon {2}G][C:Yaruo {3}G]",
			mascot_z_ok:"[Z]: Paid {0}G.",
			mascot_z_ng:"[Z]: You don't have enough money.",
			mascot_z_out:"[Z]: Sorry, we don't have that one any more.",
			mascot_x_ok:"[X]: Paid {0}G.",
			mascot_x_ng:"[X]: You don't have enough money.",
			mascot_x_out:"[X]: Sorry, we don't have that one any more.",
			mascot_c_ok:"[C]: Paid {0}G.",
			mascot_c_ng:"[C]: You don't have enough money.",
			mascot_c_out:"[C]: Sorry, we don't have that any more.",
			amira:"Amira: You just have selected the right partner.",
			waltz:"Waltz: I can support you investigate this strange incident.",
			ghanae:"Ghanae: What's our next target?",
			silruy:"Silruy: I thank you for your work of saving our Kingdom.",
			amira_1_1_1:"Amira:メッセージがありません",
			amira_1_2_1:"Amira: Where are those insects from?//Amira: I doubt there's enough food for them.",
			amira_1_3_1:"Amira: Looks like we've met the boss, Fusa.//Amira: I took the problem harder,//Amira: but this is just a piece of cake.//Amira: The big one's only as smart as its dumb unders.",
			amira_1_4_1:"Amira: This is a natural cave with mushrooms we can get deeper.//Amira: ...you have your own business, don't you?//Amira: Saving Zeroframe is enough for me to help you for this day.//Amira: It looks exciting.",
			amira_2_1_1:"Amira: I wonder why there was such an unnatural group of monsters.//Amira: I have known about them actually, though they're not to live around here.//Amira: They are more likely to be monsters around Neetland.//Amira: I'll follow you to Neetland, to see the truth.",
			amira_2_2_1:"Amira: I didn't know there was such a big mansion around here.//Amira: Only if it's not ruined this much.",
			amira_2_3_1:"Amira: Actually, I don't know any people living around here.//Amira: So this is this ruined.//Amira: And even worse ruined with all this residents.",
			amira_2_4_1:"Amira: Something I feel odd.//Amira: It looks so ruined here, but I rather think this mansion is built in insanity, and then intentionally wasted.//Amira: This building doesn't seem to have lasted any ages.",
			amira_3_1_1:"Amira: You are finally heading for Neetland, Fusa.//Amira: You don't look in hurry, and I know you are a slow starter,//Amira: but there is no risk for rescuing someone, I think.//Amira: Or do you just don't know who your aim is?",
			amira_3_2_1:"Amira: Not only monsters but even rogues?//Amira: It's clear that the kingdom's in short of avenue guardians.//Amira: You don't even tell me whom you got your secret mission from, do you?",
			amira_3_3_1:"Amira: We're almost Neetland, Fusa.//Amira: I have my own business with Neetland today,//Amira: so there is no problem with me.//Amira: What is doubtful is why you aren't told your true mission until now.",
			amira_4_1_1:"Amira: So we have to defeat the nasty wizard at the Palace.//Amira: And there is no information about him.//Amira: I'll go home when I felt myself in danger!",
			amira_4_2_1:"Amira: You said you were told the evil wizard who you have to defeat is at here.//Amira: Is he doing something which makes the mushroom cave full of insects?",
			amira_4_3_1:"Amira: What a waste of time!//Amira: We can't spare our time to deal with this almost-unbeatable magic golem!//Amira: We have to beat it to go forward, though...",
			amira_4_4_1:"Amira: ...I just don't like him.//Amira: He's a practical leader, not so strong himself, I see.//Amira: And I don't think I can't beat him with you.",
			amira_5_1_1:"Amira: The mushroom cave at Zeroframe had blue insects instead of perfect silence,//Amira: and Neetland has red insects instead of blue insects which is supposed to be.//Amira: I know nothing about the red species, I'm afraid.",
			amira_5_2_1:"Amira: I have heard of a legend...//Amira: Today Neetland is a city on the ground, but once the city Neetland was at under the ground.// Amira: There is supposed to be a guardian of Neetland if here was the old Neetland.",
			amira_5_3_1:"Amira: If it is the guardian of Neetland, then I think we shouldn't kill it.// Amira: It seems we have no choice, though.",
			amira_5_4_1:"Amira: Wizard has known this dungeon was once the Neetland.//Amira: So that must be the guardian of Neetland.//Amira: What's his true aim?",
			amira_6_1_1:"Amira: These barricades looks endless, but the Wizard must be here.//Amira: There are too much monsters.",
			amira_6_2_1:"Amira: You have been clever enough to deceive everyone for your desire, Wizard.// Amira: But I know yourself isn't much strong!",
			amira_6_3_1:"Amira: So we have finally found the person safe and sound.//Amira: All we have to do is to get back to a safer place, but can we?",
			waltz_1_1_1:"Waltz:メッセージがありません",
			waltz_1_2_1:"Waltz:メッセージがありません",
			waltz_1_3_1:"Waltz:メッセージがありません",
			waltz_1_4_1:"Waltz:メッセージがありません",
			waltz_2_1_1:"Waltz:メッセージがありません",
			waltz_2_2_1:"Waltz: Dealing with monsters is the work of fighters.//Waltz: When they are the cursed undeads, it's the work of we Priests.",
			waltz_2_3_1:"Waltz: I feel the voices of the residents.//Waltz: They are all in sorrow.",
			waltz_2_4_1:"Waltz: All these coffins and corpses are from distant somewhere.//Waltz: And how they are cursed...//Waltz: There shall be someone evil in the background.",
			waltz_3_1_1:"Waltz: The avenue between Neetland and Zeroframe must have avenue guardians normally.//Waltz I sense some emergency.",
			waltz_3_2_1:"Waltz: We must investigate of the incident.//Waltz: I will follow you for today,//Waltz: to get more information before I return.",
			waltz_3_3_1:"Waltz: Neetland is one of the points of strategy within this Kingdom.//Waltz: Nobody actually attacks Neetland,//Waltz: because of a legend that Neetland itself has its own guardian.",
			waltz_4_1_1:"Waltz: The Palace was our establishment once before.//Waltz: It is abandoned and is to be demolished.//Waltz: However, the work is in a delay.",
			waltz_4_2_1:"Waltz: It is unfortunate for the Kingdom that the Palace is used in such an evil way.//Waltz: Intruders must be exiled, whatsoever.",
			waltz_4_3_1:"Waltz: A golem with a low-level intelligence, practically for gaining time.//Waltz: We are afraid that we are the distracted.",
			waltz_4_4_1:"Waltz: I pray for the mission of the knights to succeed.",
			waltz_5_1_1:"Waltz: We have nothing to do,//Waltz: so only thing we can do is to listen to what the Wizard says.//Waltz: It is untrustable, but most and only expectable.",
			waltz_5_2_1:"Waltz: This dungeon looks like a buried city.",
			waltz_5_3_1:"Waltz: The image looked like someone royal.//Waltz: If she was our objective,//Waltz: it is the reason why the defence of Kingdom is in such a chaos.",
			waltz_5_4_1:"Waltz: We have to return to Neetland to see what has happened.",
			waltz_6_1_1:"Waltz: Now I know that there is a Wizard in evil to invade Neetland.//Waltz: Defend soldiers of Neetland seems to have been too powerless, disappointingly.//Waltz: To defend Neetland is our mission.",
			waltz_6_2_1:"Waltz: You have lead too much people to lose their way,//Waltz: and much more people to death, Wizard.//Waltz: Your evilness will be terminated.",
			waltz_6_3_1:"Waltz: So what terrible clearing away should we do?//Waltz: Or can I?",
			ghanae_1_1_1:"Ghanae:メッセージがありません",
			ghanae_1_2_1:"Ghanae:メッセージがありません",
			ghanae_1_3_1:"Ghanae:メッセージがありません",
			ghanae_1_4_1:"Ghanae:メッセージがありません",
			ghanae_2_1_1:"Ghanae:メッセージがありません",
			ghanae_2_2_1:"Ghanae:メッセージがありません",
			ghanae_2_3_1:"Ghanae:メッセージがありません",
			ghanae_2_4_1:"Ghanae:メッセージがありません",
			ghanae_3_1_1:"Ghanae: Wilderness is a good teacher of mine.",
			ghanae_3_2_1:"Ghanae: Masterlesses are always emptyminded enough to be beaten easily.",
			ghanae_3_3_1:"Ghanae: There is no place that is safe enough.//Ghanae: So I train myself to defend myself.",
			ghanae_4_1_1:"Ghanae: What's our next target?",
			ghanae_4_2_1:"Ghanae: I'm not feeling to touch those rotten rice balls.",
			ghanae_4_3_1:"Ghanae: I have no experience of fighting living rocks!",
			ghanae_4_4_1:"Ghanae: There hangs around no god to believe in.//Ghanae: What you believe in to is the god.",
			ghanae_5_1_1:"Ghanae: What's our next target?",
			ghanae_5_2_1:"Ghanae: This dungeon seems to be longly forgotten.//Ghanae: I don't know why there are so many monsters, //Ghanae: if here is only a meaningless place.",
			ghanae_5_3_1:"Ghanae: What a large snake!//Ghanae: It look like it's not in its full potential.//Ghanae: I think it hasn't found its target yet.",
			ghanae_5_4_1:"Ghanae: There's no proof that the 'final weapon' is anything stronger.//Ghanae: In fact I want to take a look at it, at least.",
			ghanae_6_1_1:"Ghanae: Number doesn't make us fall to the ground!",
			ghanae_6_2_1:"Ghanae: This wizard is apparently weaker than the last snake.",
			ghanae_6_3_1:"Ghanae: There are two kinds of beings, the weaker users and the stronger usees.//Ghanae Often users are the most deadly.",
			silruy_1_1_1:"Silruy:メッセージがありません",
			silruy_1_2_1:"Silruy:メッセージがありません",
			silruy_1_3_1:"Silruy:メッセージがありません",
			silruy_1_4_1:"Silruy:メッセージがありません",
			silruy_2_1_1:"Silruy:メッセージがありません",
			silruy_2_2_1:"Silruy:メッセージがありません",
			silruy_2_3_1:"Silruy:メッセージがありません",
			silruy_2_4_1:"Silruy:メッセージがありません",
			silruy_3_1_1:"Silruy:メッセージがありません",
			silruy_3_2_1:"Silruy:メッセージがありません",
			silruy_3_3_1:"Silruy:メッセージがありません",
			silruy_4_1_1:"Silruy:メッセージがありません",
			silruy_4_2_1:"Silruy:メッセージがありません",
			silruy_4_3_1:"Silruy:メッセージがありません",
			silruy_4_4_1:"Silruy:メッセージがありません",
			silruy_5_1_1:"Silruy:メッセージがありません",
			silruy_5_2_1:"Silruy:メッセージがありません",
			silruy_5_3_1:"Silruy:メッセージがありません",
			silruy_5_4_1:"Silruy:メッセージがありません",
			silruy_6_1_1:"Silruy:メッセージがありません",
			silruy_6_2_1:"Silruy:メッセージがありません",
			silruy_6_3_1:"Silruy: The only natural enemy which can beat this creature alone is the Guardian Wurm of Neetland.//Silruy: Now it is only possible for us to defeat this creature by putting our all powers together.//Silruy: Tell me when you need the shield to defend yourself from the flame.",
			area1_2:"Sorceress: This cave seems to be the nest of all the way too much insects...//Sorceress: Would you favor getting rid of them with me?//Sorceress: They simply make it a hard thing for my folks in Zeroframe to go outside the village.//Sorceress: You can call me Amira.",
			area2_2:"Priestess: I must investigate this cursed mansion, which is full of monsters.//Priestess: I am looking for a guard who is able to support Waltzar Orleans.//Waltzar: If you are willing to accept my request, then just call me Waltz",
			area3_1:"Grappler Girl: Who are you!\nI'm Ghanae,//Ghanae: who is travelling all over the world to test my strength!//Ghanae: ...at least I'm going to be.//Ghanae: I'll follow you cause you look strong, as long as you're okay...",
			area6_2:"Wizard: You finally came here, adventurer.//Wizard: I regret letting you playing around any more, so there is no more image.//Wizard: I will let you kneel for myself through the last minute of your life!",
			area6_3:"Silruy: Greetings to our citizen.//Silruy: In fact there is no truth that I was kidnapped. //Silruy: It looks like my father was given a false information.//Silruy: However, I knew that an invasion will occur at here Neetland.//Silruy: Unfortunately my father didn't believe that.//Silruy: Only thing I could do was to excape the Castle and get here by myself to see what is to happen.//Silruy: I may use my sufficient ability to help you in case of final states.",
			msg1:"Messenger:メッセージがありません",
			msg2:"Messenger:メッセージがありません",
			msg3:"Messenger:メッセージがありません",
			msg4:"Messenger: We thank your working for our honorable mission, Adventurer.//Messenger: So far we have located the Wizard's army at the Palace.//Messenger: Your mission is to distract them in small numbers,//Messenger: while our knights will rescue the key person.",
			wiz4:"Wizard: You are here, little dog.//Wizard: However, I have to apologize that your objective is not here.//Wizard: If you are strong enough, you may go to the Dungeon to know your true mission.",
			msg5:"Messenger: We have estimated the power of the Wizard too small...//Messenger: We are sorry that the mission of our knights have gone to a total failure.//Messenger: His monsters are everywhere,//Messenger: and native monsters around Neetland are evacuating to nearby villages.//Messenger: We now know that we were in a state of total disorder.",
			sil5:"Wizard: This is the image of your important person, fighter.//Wizard: Now I want you to get rid of the owner of this Dungeon.//Wizard: I appreciate your willingness to exterminate the most threatful natural enemy of our final weapon.",
			msg6:"Messenger: Demands of a wicked would never end by kidnapping our Princess Silruy.//Messenger: In fact, he is now with all his forces to destroy Neetland.//Messenger:They will reach the Castle and take over the whole Kingdom sooner or later...",
			msg7:"Messenger: Your mission is over anyway.\nGive yourself a rest for tonight.",
			shopnpc:"Don't destroy my shop!!!",
			bell9:"The bell of morning has just been heard.",
			bell12:"The bell of noon has just been heard.",
			bell15:"The bell of afternoon has just been heard.",
			bell18:"The bell of evening has just been heard.",
			stuff1:"Program: kaikoga#H0MotH/SqY",
			stuff2:"Graphics: kaikoga#H0MotH/SqY",
			stuff3:"Sound: kaikoga#H0MotH/SqY",
			stuff4:"Planning: kaikoga#H0MotH/SqY",
			end0_1:"Chainless and connectionlessly taken the active role",
			end0_2:"and a certain impact he has truly done;",
			end0_3:"Tomorrow of the Kingdom not in any concern anyway",
			end0_4:"now is only able to see the destination to run.",
			end0_5:"Ending 0: Solo Departure.",
			end1_1:"Zeroframe is his new home",
			end1_2:"with its speciality product mushroom;",
			end1_3:"Every year will elapse with dear Sorceress",
			end1_4:"and so many times the flowers will bloom.",
			end1_5:"Ending 1: With Amira.",
			end2_1:"In the holy influence of Solaris Constitution",
			end2_2:"his aquainted Priestess dedicates herself everyday;",
			end2_3:"The adventures merely counts up with him",
			end2_4:"whenever she remembers her own partner to pray.",
			end2_5:"Ending 2: With Waltz.",
			end3_1:"An ally without any purpose",
			end3_2:"simply attained enough help throughout the mission;",
			end3_3:"He gave up thinking whether he will meet the Grappler again",
			end3_4:"whose future is free from any tradition.",
			end3_5:"Ending 3: With Ghanae.",
			end4_1:"In the purpose of surviving together",
			end4_2:"was a cross with the Princess for a short moment;",
			end4_3:"No way could he have any royal trace",
			end4_4:"all he could leave her was the memory fragment.",
			end4_5:"Ending 4: With Silruy.",
			end5_1:"The night has come to the Kingdom",
			end5_2:"and soon we will know our fate;",
			end5_3:"How the gears of society will collapse tomorrow",
			end5_4:"only to regret it is too late.",
			end5_5:"Ending 5: Day Is Over.",
			end6_1:"Driven by the cunning Wizard",
			end6_2:"whose advice was all true;",
			end6_3:"Now Hydra is coming to Neetland and",
			end6_4:"all the way to the Castle there's nothing to do.",
			end6_5:"Ending 6: Hydra Tramples.",
			_:"null"
		}
		
		public function FusalgJapaneseStrings() {
			super();
			
		}
		
		override protected function getLocalizedString(name:String):String {
			return STRINGS[name];
		}
	}
	
}
