
##########
# flex.mk
# @version 1.0
# @author kaikoga
##########

FLEX2BIN=

#FLEX2SDK=/usr/local/flex_sdk_3/
#FLEX2BIN=$(FLEX2SDK)bin/

ASDOC=$(FLEX2BIN)asdoc
FCSH=$(FLEX2BIN)fcsh

.PHONY: menu
menu:
	@echo "usage: make [ $(OUTPUT).swf | api ]"
	@echo "try 'make help' for more info"

.PHONY: help
help:
	@echo "flex Makefile usage"
	@echo "  'make $(OUTPUT).swf' to create output.swf using fcsh"
	@echo "  'make api' to update api directory"

Makefile: ;

$(OUTPUT).fcsh: $(OUTPUT).mk
	echo mxmlc $(ADDSOURCEPATH) -- $(MAINAS) > $@

$(OUTPUT).swf: $(OUTPUT).fcsh
	cat $< - | $(FCSH)

$(OUTPUT).swf.fcsh: $(OUTPUT).fcsh
	cat $< - | $(FCSH)

.PHONY: $(OUTPUT).swf.mxmlc
$(OUTPUT).swf.mxmlc: 
	mxmlc $(ADDSOURCEPATH) -- $(MAINAS)

.PHONY: api
api:
	$(ASDOC) -actionscript-file-encoding utf-8 $(ADDSOURCEPATH) -main-title $(APITITLE) -output doc -benchmark -doc-classes $(MAINCLASS)
