﻿
package net.kaikoga.fusalg.area {
	
	import net.kaikoga.fusalg.area.town.AreaTown_1;
	import net.kaikoga.fusalg.cellinfo.FieldCellInfos;
	import net.kaikoga.fusalg.field.Cell;
	import net.kaikoga.fusalg.field.Row;
	import net.kaikoga.fusalg.field.Field;

	/**
	 * ...
	 * @author kaikoga
	 */
	public class AreaField_Exit extends AArea {
		
		private var chipInfos:FieldCellInfos;
		private var nowStage:int;
		
		public function AreaField_Exit(nowstage:int) {
			super(1);
			this.nowStage = nowstage;
			this.chipInfos = FieldCellInfos.getInstance();
		}
		
		override protected function buildRow(field:Field, row:Row, index:int):void {
			for (var i:int = 1; i < Field.ROW_CELLS; i++) {
				Cell(row.cells[i]).reset(this.chipInfos.groundSet1.top);
			}
			row.resetSideChip(this.chipInfos.sideSet.top);
		}
		
		override public function nextArea(field:Field):void {
			field.nextArea(Areas.getTownEntry(field, this.nowStage+1));
		}
		
	}
	
}
