﻿
package net.kaikoga.fusalg.area {

	import net.kaikoga.fusalg.area.area1.Area1_1;
	import net.kaikoga.fusalg.area.area2.Area2_1;
	import net.kaikoga.fusalg.area.area3.Area3_1;
	import net.kaikoga.fusalg.area.area4.Area4_1;
	import net.kaikoga.fusalg.area.area5.Area5_1;
	import net.kaikoga.fusalg.area.area6.Area6_1;
	import net.kaikoga.fusalg.area.area6.Area6_2;
	import net.kaikoga.fusalg.area.town.AreaTown_1;
	import net.kaikoga.fusalg.area.town.AreaTown_2;
	import net.kaikoga.fusalg.field.Field;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class Areas {
		
		public function Areas() {
			super();
			
		}
		
		public static function getTownEntry(field:Field, nowstage:int):AArea {
			return (nowstage <= 3) ? new AreaTown_1(nowstage) : new AreaTown_2(nowstage);
		}
		
		public static function getStageEntry(field:Field, nowstage:int):AArea {
			if (nowstage <= 1) {
				if (field.flags.timeIsBefore(8, 0)) {
					return new Area1_1(field);
				}
			}
			if (nowstage <= 2) {
				if (field.flags.timeIsBefore(10, 0)) {
					return new Area2_1(field);
				}
			}
			if (nowstage <= 3) {
				return new Area3_1(field);
			}
			if (nowstage <= 4) {
				if (field.flags.timeIsBefore(12, 0)) {
					return new Area4_1(field);
				}
			}
			if (nowstage <= 5) {
				if (field.flags.timeIsBefore(13, 30)) {
					return new Area5_1(field);
				}
			}
			if (nowstage <= 6) {
				if (field.flags.timeIsBefore(15, 0)) {
					return new Area6_1(field);
				} else {
					return new Area6_2(field);
				}
			}
			return new AreaTitle();
		}
	}
	
}
