﻿
package net.kaikoga.fusalg.area.area1 {
	
	import net.kaikoga.fusalg.area.AFieldArea;
	import net.kaikoga.fusalg.area.Areas;
	import net.kaikoga.fusalg.field.Cell;
	import net.kaikoga.fusalg.field.Row;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.enemya.Umaa;
	import net.kaikoga.fusalg.mortal.enemyc.InsectB;

	/**
	 * ...
	 * @author kaikoga
	 */
	public class Area1_1 extends AFieldArea {
		
		private static const AREA_MESSAGES:Object/*Array*/ = {
			amira:[
				"amira_1_1_1"
			],
			waltz:[
				"waltz_1_1_1"
			],
			ghanae:[
				"ghanae_1_1_1"
			],
			silruy:[
				"silruy_1_1_1"
			]
		}
		
		public function Area1_1(field:Field) {
			super(32 - field.flags.getProceeding(7, 0, 8, 0) * 16);
			this.shrubRate = 0.1;
			this.bushRate = 0.1;
			this.rockRate = 0;
			this.areaText = " AREA 1-1";
			this.areaNameText = '  "CAVE"  ';
			this.areaMessages = AREA_MESSAGES;
		}
		
		override protected function buildRow(field:Field, row:Row, index:int):void {
			super.buildRow(field, row, index);
			switch(index & 3) {
				case 1:
				field.addEnemy(new Umaa());
				break;
				case 3:
				field.addEnemy(new InsectB());
				break;
			}
		}
		
		override public function nextArea(field:Field):void {
			if (field.flags.timeIsBefore(10, 0)) {
				field.nextArea(new Area1_2(field));
			} else {
				field.nextArea(Areas.getTownEntry(field, 2));
			}
		}
	}
	
}
