﻿
package net.kaikoga.fusalg.area.area1 {
	
	import net.kaikoga.fusalg.area.AArea;
	import net.kaikoga.fusalg.area.Areas;
	import net.kaikoga.fusalg.cellinfo.CaveCellInfos;
	import net.kaikoga.fusalg.field.Cell;
	import net.kaikoga.fusalg.field.Row;
	import net.kaikoga.fusalg.field.Field;

	/**
	 * ...
	 * @author kaikoga
	 */
	public class Area1_Exit extends AArea {
		
		private var chipInfos:CaveCellInfos;

		public function Area1_Exit() {
			super(1);
			this.chipInfos = CaveCellInfos.getInstance();
		}
		
		override protected function buildRow(field:Field, row:Row, index:int):void {
			for (var i:int = 1; i < Field.ROW_CELLS; i++) {
				Cell(row.cells[i]).reset(this.chipInfos.groundSet1.top);
			}
			row.resetSideChip(this.chipInfos.sideSet.top);
		}
		
		override public function nextArea(field:Field):void {
			field.nextArea(Areas.getTownEntry(field, 2));
		}
	}
	
}
