﻿
package net.kaikoga.fusalg.area.area2 {
	
	import net.kaikoga.fusalg.area.AArea;
	import net.kaikoga.fusalg.area.Areas;
	import net.kaikoga.fusalg.cellinfo.MansionCellInfos;
	import net.kaikoga.fusalg.field.Cell;
	import net.kaikoga.fusalg.field.Row;
	import net.kaikoga.fusalg.field.Field;

	/**
	 * ...
	 * @author kaikoga
	 */
	public class Area2_Exit extends AArea {
		
		private var chipInfos:MansionCellInfos;

		public function Area2_Exit() {
			super(1);
			this.chipInfos = MansionCellInfos.getInstance();
		}
		
		override protected function buildRow(field:Field, row:Row, index:int):void {
			for (var i:int = 1; i < Field.ROW_CELLS; i++) {
				Cell(row.cells[i]).reset(this.chipInfos.groundSet.top);
			}
			row.resetSideChip(this.chipInfos.sideSet.top);
		}
		
		override public function nextArea(field:Field):void {
			field.nextArea(Areas.getTownEntry(field, 3));
		}
	}
	
}
