﻿
package net.kaikoga.fusalg.chip {
	
	import flash.display.BitmapData;
	import net.kaikoga.fusalg.field.Field;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class Chips {
		
		[Embed(source = "assets/chr_avatar_m.png")]
		private static const _avatarm:Class;
		private static const _avatarm_str:Array = ["stop", "run1", "run0", "run2", "attack1", "attack2", "damage", "unused"];

		[Embed(source = "assets/chr_weapon_m.png")]
		private static const _weaponm:Class;
		private static const _weaponm_str:Array = ["sword1", "sword2", "axe1", "axe2", "shield1", "shield2", "wave1", "wave2"];

		[Embed(source = "assets/chr_ally_m.png")]
		private static const _allym:Class;
		private static const _allym_str:Array = ["amira", "amira1", "amira0", "amira2", "waltz", "waltz1", "waltz0", "waltz2", "ghanae", "ghanae1", "ghanae0", "ghanae2", "silruy", "silruy1", "silruy0", "silruy2"];

		[Embed(source = "assets/chr_npc_m.png")]
		private static const _npcm:Class;
		private static const _npcm_str:Array = ["npc1", "npc10", "npc2", "npc20"];

		[Embed(source = "assets/chr_slime_m.png")]
		private static const _slimem:Class;
		private static const _slimem_str:Array = ["uma1", "uma2", "jien1", "jien2", "kita1", "kita2", "noch1", "noch2"];

		[Embed(source = "assets/chr_ghost_m.png")]
		private static const _ghostm:Class;
		private static const _ghostm_str:Array = ["ghosts", "ghostm"];

		[Embed(source = "assets/chr_ghost_l.png")]
		private static const _ghostl:Class;
		private static const _ghostl_str:Array = ["ghostl"];

		[Embed(source = "assets/chr_insect_m.png")]
		private static const _insectm:Class;
		private static const _insectm_str:Array = ["insectb", "insectr"];

		[Embed(source = "assets/chr_trent_m.png")]
		private static const _trentm:Class;
		private static const _trentm_str:Array = ["trents", "trentm"];

		[Embed(source = "assets/chr_trent_l.png")]
		private static const _trentl:Class;
		private static const _trentl_str:Array = ["trentl"];

		[Embed(source = "assets/chr_zombie_m.png")]
		private static const _zombiem:Class;
		private static const _zombiem_str:Array = ["zombie", "zombie-", "zombie0", "zombie+", "wight", "wight-", "wight0", "wight+", "lich", "lich-", "lich0", "lich+", "wriggle"];

		[Embed(source = "assets/chr_rogue_m.png")]
		private static const _roguem:Class;
		private static const _roguem_str:Array = ["stop", "run1", "run0", "run2", "attack1", "attack2", "damage", "unused"];

		[Embed(source = "assets/chr_insect_l.png")]
		private static const _insectl:Class;
		private static const _insectl_str:Array = ["insectl"];

		[Embed(source = "assets/chr_boss_m.png")]
		private static const _bossm:Class;
		private static const _bossm_str:Array = ["go_head", "go_hl", "go_hr", "go_fl", "go_fr", "wu_1", "wu_2", "wu_3", "wi_hl", "wi_hr", "hy_neck", "hy_foot", "re_1", "re_2", "re_3", "re_4"];

		[Embed(source = "assets/chr_boss_l.png")]
		private static const _bossl:Class;
		private static const _bossl_str:Array = ["go_body", "wu_1", "wu_2", "wi_3", "wi_1", "wi_2", "wi_orb1", "wi_orb2", "wi_cast", "hy_head", "hy_cast", "hy_body"];

		[Embed(source = "assets/fld_town_m.png")]
		private static const _townm:Class;
		private static const _townm_str:Array = new Array(24);
		
		[Embed(source = "assets/fld_field_m.png")]
		private static const _fieldm:Class;
		private static const _fieldm_str:Array = new Array(24);
		
		[Embed(source = "assets/fld_cave_m.png")]
		private static const _cavem:Class;
		private static const _cavem_str:Array = new Array(24);
		
		[Embed(source = "assets/fld_mansion_m.png")]
		private static const _mansionm:Class;
		private static const _mansionm_str:Array = new Array(24);
		
		[Embed(source = "assets/fld_avenue_m.png")]
		private static const _avenuem:Class;
		private static const _avenuem_str:Array = new Array(24);
		
		[Embed(source = "assets/fld_palace_m.png")]
		private static const _palacem:Class;
		private static const _palacem_str:Array = new Array(6);
		
		[Embed(source = "assets/fld_remnant_m.png")]
		private static const _remnantm:Class;
		private static const _remnantm_str:Array = new Array(24);
		
		[Embed(source = "assets/fld_fortress_m.png")]
		private static const _fortressm:Class;
		private static const _fortressm_str:Array = new Array(24);
		
		[Embed(source = "assets/sat_spark_s.png")]
		private static const _sparks:Class;
		private static const _sparks_str:Array = ["spark1", "spark2"];

		[Embed(source = "assets/sat_spark_l.png")]
		private static const _sparkl:Class;
		private static const _sparkl_str:Array = ["spark1"];

		[Embed(source = "assets/sat_levelup_l.png")]
		private static const _levelupl:Class;
		private static const _levelupl_str:Array = ["message", "spark1"];

		[Embed(source = "assets/sat_magic_m.png")]
		private static const _magicm:Class;
		private static const _magicm_str:Array = ["fire1", "fire2", "flame1", "flame2", "fist1", "explode1", "bomb1", "explode2", "power1", "heal1", "accel1", "barrier1", "power2", "heal2", "accel2", "barrier2"];

		[Embed(source = "assets/sat_arrow_m.png")]
		private static const _arrowm:Class;
		private static const _arrowm_str:Array = ["bow", "arrow"];

		[Embed(source = "assets/sat_arrow_m.png")]
		private static const _bullets:Class;
		private static const _bullets_str:Array = ["fire", "pink", "red", "blue"];

		[Embed(source = "assets/sys_frameb.png")]
		private static const _frameb:Class;
		private static const _frameb_str:Array = ["chip"];

		[Embed(source = "assets/sys_framer.png")]
		private static const _framer:Class;
		private static const _framer_str:Array = ["chip"];

		[Embed(source = "assets/sys_name.png")]
		private static const _name:Class;
		private static const _name_str:Array = ["amira", "amira_s", "waltz", "waltz_s", "ghanae", "ghanae_s", "silruy", "silruy_s"];

		[Embed(source = "assets/sys_message.png")]
		private static const _message:Class;
		private static const _message_str:Array = ["message"];

		[Embed(source = "assets/sys_endmessage.png")]
		private static const _endmessage:Class;
		private static const _endmessage_str:Array = ["endmessage"];

		[Embed(source = "assets/sys_font_s.png")]
		private static const _fonts:Class;
		private static const _fonts_str:Array = new Array(128);

		[Embed(source = "assets/sys_target_l.png")]
		private static const _targetl:Class;
		private static const _targetl_str:Array = ["insectl", "mansion", "golem", "wurm", "wizard", "hydra"];

		[Embed(source = "assets/sys_titlel.png")]
		private static const _titlel:Class;
		private static const _titlel_str:Array = ["chip"];

		[Embed(source = "assets/sys_gameoverl.png")]
		private static const _gameOver:Class;
		private static const _gameOver_str:Array = ["gameover"];

		[Embed(source = "assets/sys_help.png")]
		private static const _help:Class;
		private static const _help_str:Array = ["help"];

		[Embed(source = "assets/sys_gauge_s.png")]
		private static const _gaugeS:Class;

		[Embed(source = "assets/sys_gauge_m.png")]
		private static const _gaugeM:Class;

		public var avatarChipM:DotchipChipSet;
		public var weaponChipM:DotchipChipSet;
		public var allyChipM:DotchipChipSet;
		public var npcChipM:DotchipChipSet;
		
		public var slimeChipM:DotchipChipSet;
		public var ghostChipM:DotchipChipSet;
		public var ghostChipL:DotchipChipSet;
		public var insectChipM:DotchipChipSet;
		public var trentChipM:DotchipChipSet;
		public var trentChipL:DotchipChipSet;
		public var zombieChipM:DotchipChipSet;
		public var rogueChipM:DotchipChipSet;

		public var insectChipL:DotchipChipSet;
		public var bossChipM:DotchipChipSet;
		public var bossChipL:DotchipChipSet;

		public var townChipM:DotchipChipSet;
		public var fieldChipM:DotchipChipSet;
		public var caveChipM:DotchipChipSet;
		public var mansionChipM:DotchipChipSet;
		public var avenueChipM:DotchipChipSet;
		public var palaceChipM:DotchipChipSet;
		public var remnantChipM:DotchipChipSet;
		public var fortressChipM:DotchipChipSet;
		
		public var sparkChipS:DotchipChipSet;
		public var sparkChipL:DotchipChipSet;
		public var levelupChipL:DotchipChipSet;
		public var magicChipM:DotchipChipSet;
		public var arrowChipM:DotchipChipSet;
		public var bulletChipS:DotchipChipSet;
		
		public var frameB:DotchipChipSet;
		public var frameR:DotchipChipSet;
		public var name:DotchipChipSet;
		public var message:DotchipChipSet;
		public var endMessage:DotchipChipSet;
		public var fontS:DotchipChipSet;
		public var targetL:DotchipChipSet;
		public var titleL:DotchipChipSet;
		public var gameOverL:DotchipChipSet;
		public var help:DotchipChipSet;
		
		public var gaugeS:DotgaugeChipSet;
		public var gaugeM:DotgaugeChipSet;
		
		public function Chips() {
			super();
			this.avatarChipM = new DotchipChipSet(new _avatarm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 4, _avatarm_str);
			this.weaponChipM = new DotchipChipSet(new _weaponm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 4, _weaponm_str);
			this.allyChipM = new DotchipChipSet(new _allym().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 4, _allym_str);
			
			this.npcChipM = new DotchipChipSet(new _npcm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 1, _npcm_str);
			
			this.slimeChipM = new DotchipChipSet(new _slimem().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 4, _slimem_str);
			this.ghostChipM = new DotchipChipSet(new _ghostm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 4, _ghostm_str);
			this.ghostChipL = new DotchipChipSet(new _ghostl().bitmapData, 64, 64, 4, _ghostl_str);
			this.insectChipM = new DotchipChipSet(new _insectm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 4, _insectm_str);
			this.trentChipM = new DotchipChipSet(new _trentm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 2, _trentm_str);
			this.trentChipL = new DotchipChipSet(new _trentl().bitmapData, 64, 64, 2, _trentl_str);
			this.zombieChipM = new DotchipChipSet(new _zombiem().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 4, _zombiem_str);
			this.rogueChipM = new DotchipChipSet(new _roguem().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 4, _roguem_str);
			
			this.insectChipL = new DotchipChipSet(new _insectl().bitmapData, 64, 64, 4, _insectl_str);
			this.bossChipM = new DotchipChipSet(new _bossm().bitmapData, 32, 32, 1, _bossm_str);
			this.bossChipL = new DotchipChipSet(new _bossl().bitmapData, 64, 64, 1, _bossl_str);
			
			this.townChipM = new DotchipChipSet(new _townm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 1, _townm_str);
			this.fieldChipM = new DotchipChipSet(new _fieldm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 1, _fieldm_str);
			this.caveChipM = new DotchipChipSet(new _cavem().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 1, _cavem_str);
			this.mansionChipM = new DotchipChipSet(new _mansionm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 1, _mansionm_str);
			this.avenueChipM = new DotchipChipSet(new _avenuem().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 1, _avenuem_str);
			this.palaceChipM = new DotchipChipSet(new _palacem().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 1, _palacem_str);
			this.remnantChipM = new DotchipChipSet(new _remnantm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 1, _remnantm_str);
			this.fortressChipM = new DotchipChipSet(new _fortressm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 1, _fortressm_str);

			this.sparkChipS = new DotchipChipSet(new _sparks().bitmapData, 8, 8, 4, _sparks_str);
			this.sparkChipL = new DotchipChipSet(new _sparkl().bitmapData, 64, 64, 4, _sparkl_str);
			this.levelupChipL = new DotchipChipSet(new _levelupl().bitmapData, 64, 64, 1, _levelupl_str);
			this.magicChipM = new DotchipChipSet(new _magicm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 1, _magicm_str);
			this.arrowChipM = new DotchipChipSet(new _arrowm().bitmapData, Field.CHIP_WIDTH, Field.CHIP_HEIGHT, 4, _arrowm_str);
			this.bulletChipS = new DotchipChipSet(new _bullets().bitmapData, 16, 16, 4, _bullets_str);
			
			this.frameB = new DotchipChipSet(new _frameb().bitmapData, 0, 0, 1, _frameb_str);
			this.frameR = new DotchipChipSet(new _framer().bitmapData, 0, 0, 1, _framer_str);
			this.name = new DotchipChipSet(new _name().bitmapData, 160, 32, 1, _name_str);
			this.message = new DotchipChipSet(new _message().bitmapData, 352, 64, 1, _message_str);
			this.endMessage = new DotchipChipSet(new _endmessage().bitmapData, 288, 24, 1, _endmessage_str);
			this.fontS = new DotchipChipSet(new _fonts().bitmapData, 16, 16, 1, _fonts_str);
			this.targetL = new DotchipChipSet(new _targetl().bitmapData, 64, 64, 1, _targetl_str);
			this.titleL = new DotchipChipSet(new _titlel().bitmapData, 0, 0, 1, _titlel_str);
			this.gameOverL = new DotchipChipSet(new _gameOver().bitmapData, 0, 0, 1, _gameOver_str);
			this.help = new DotchipChipSet(new _help().bitmapData, 0, 0, 1, _help_str);
			
			this.gaugeS = new DotgaugeChipSet(new _gaugeS().bitmapData);
			this.gaugeM = new DotgaugeChipSet(new _gaugeM().bitmapData);
		}
		
		private static var instance:Chips;
		
		public static function getInstance():Chips {
			if (!instance) {
				instance = new Chips();
			}
			return instance;
		}
		
	}
	
}
