﻿
package net.kaikoga.fusalg.chip {
	
	import flash.display.BitmapData;
	import flash.geom.ColorTransform;
	import flash.geom.Matrix;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class DotgaugeChip extends AChip {
		
		private var bitmapData:BitmapData;
		private var boundRect:Rectangle = new Rectangle();
		
		public function DotgaugeChip(bitmapdata:BitmapData, width:int) {
			super();
			this.bitmapData = bitmapdata;
			this.boundRect = new Rectangle(0, 0, width, bitmapdata.height);
		}
		
		override public function copySelf(bitmapData:BitmapData, dir:int, pt:Point):void {
			bitmapData.copyPixels(this.bitmapData, this.boundRect, pt);
		}
		
		public function setValue(value:int):void {
			this.boundRect.width = value;
		}
		
	}
	
}
