﻿
package net.kaikoga.fusalg.layer {
	
	import net.kaikoga.fusalg.area.town.AreaTown_1;
	import net.kaikoga.fusalg.area.town.AreaTown_2;
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.debug.EDebug;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.util.KeyEventRecord;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class HelpLayer extends ALayer {
		
		public function HelpLayer() {
			super();
		}
		
		override public function frameMove(field:Field):Boolean {
			return (!field.keyState.getStateOfKey("z"));
		}

		override public function drawSelf(field:Field):void {
			super.drawSelf(field);
			field.drawChip(Chips.getInstance().help.getChipByName("help"), 0, 32, 288, true);
		}
		
	}
	
}
