﻿
package net.kaikoga.fusalg.mortal.allystub {
	
	import net.kaikoga.fusalg.mortal.ally.AHeroine;
	import net.kaikoga.fusalg.mortal.ally.Amira;
	import net.kaikoga.fusalg.mortal.AMortal;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.strings.FusalgStrings;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class AmiraStub extends AAllyStub {
		
		public function AmiraStub() {
			super("amira", "amira0");
		}
		
		override protected function createHeroine(field:Field):AHeroine {
			var result:Amira = field.flags.amira;
			if (!result) {
				result = new Amira();
				field.flags.amira = result;
			} else {
				field.messageLayer.flush();
				field.messageLayer.message(field, FusalgStrings.getString("amira"));
			}
			return result;
		}
		
	}
	
}
