﻿
package net.kaikoga.fusalg.mortal.allystub {
	
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.ally.AHeroine;
	import net.kaikoga.fusalg.mortal.ally.Ghanae;
	import net.kaikoga.fusalg.mortal.AMortal;
	import net.kaikoga.fusalg.strings.FusalgStrings;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class GhanaeStub extends AAllyStub {
		
		public function GhanaeStub() {
			super("ghanae", "ghanae0");
		}
		
		override protected function createHeroine(field:Field):AHeroine {
			var result:Ghanae = field.flags.ghanae;
			if (!result) {
				result = new Ghanae();
				field.flags.ghanae = result;
			} else {
				field.messageLayer.flush();
				field.messageLayer.message(field, FusalgStrings.getString("ghanae"));
			}
			return result;
		}
		
	}
	
}
