﻿
package net.kaikoga.fusalg.mortal.allystub {
	
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.ally.AHeroine;
	import net.kaikoga.fusalg.mortal.ally.Silruy;
	import net.kaikoga.fusalg.mortal.AMortal;
	import net.kaikoga.fusalg.strings.FusalgStrings;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class SilruyStub extends AAllyStub {
		
		public function SilruyStub() {
			super("silruy", "silruy0");
		}
		
		override protected function createHeroine(field:Field):AHeroine {
			var result:Silruy = field.flags.silruy;
			if (!result) {
				result = new Silruy();
				field.flags.silruy = result;
			} else {
				field.messageLayer.flush();
				field.messageLayer.message(field, FusalgStrings.getString("silruy"));
			}
			return result;
		}
		
	}
	
}
