﻿
package net.kaikoga.fusalg.mortal.boss {
	
	import flash.geom.Point;
	import flash.geom.Rectangle;
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.enemyc.AEnemyC;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class InsectL extends AEnemyC {
		
		public function InsectL() {
			super(Chips.getInstance().insectChipL, "insectl");
			this.life = 100;
			this.killExp = 50;
			this.killGold = 100;
			this.chipShift = new Point(-32, -48);
			this.physicalBound = new Rectangle(-32, -48, 64, 64);
			this.projectileBound = new Rectangle(-48, -64, 96, 96);
			this.physicalDamage = 9;
			this.speed = 4;
			this.armor = 16;
			this.killSparkFrames = 20;
		}
		
		override public function frameMove(field:Field):void {
			super.frameMove(field);
			this.yankBoss(5);
		}
	}
	
}
