﻿
package net.kaikoga.fusalg.mortal.effects {
	
	import flash.geom.Point;
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.field.Field;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class SparkEffectL extends ASimpleEffect {
		
		private static const SHIFT:Point = new Point(-32, -32);
		
		public function SparkEffectL(dir:int = -1, delay:int = 0) {
			super(Chips.getInstance().sparkChipL, delay ? 14 : 0, dir);
			this.chipName = "spark1";
			this.chipShift = SHIFT;
			this.life = 8;
			this.blinkLife = 0;
			this.frame = -delay;
		}
		
		override public function frameMove(field:Field):void {
			if (this.frame >= 0) {
				super.frameMove(field);
				this.dir = (this.frame >> 1) & 3;
			}
			this.frame++;
		}
		
		override public function drawSelf(field:Field):void {
			if (this.frame >= 0) {
				super.drawSelf(field);
			}
		}
	}
	
}
