﻿
package net.kaikoga.fusalg.mortal.enemyc {
	
	import flash.geom.Rectangle;
	import net.kaikoga.fusalg.chip.DotchipChipSet;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.ACharacter;
	import net.kaikoga.fusalg.util.FusalgMath;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class AEnemyC extends ACharacter {
		
		protected var speed:int = 2;
		protected var dx:int = 0;
		protected var dy:int = 1;
		
		public function AEnemyC(chips:DotchipChipSet, face:String) {
			super(chips);
			this.chipName = face;
			this.projectileBound = new Rectangle(-12, -20, 24, 24);
			this.physicalBound = this.projectileBound;
			this.physicalDamage = 8;
			this.life = 4;
		}
		
		public function run(field:Field, dx:int, dy:int):Boolean {
			return this.moveSelf(field, dx, dy, -1);
		}

		override public function frameMove(field:Field):void {
			super.frameMove(field);
			if (this.life <= 0) {
				return;
			}
			this.frame++;
			if (Math.random() < 0.1) {
				this.dx = FusalgMath.randomInt( -this.speed, this.speed);
				this.dy = FusalgMath.randomInt( -this.speed, this.speed);
			}
			this.run(field, this.dx, this.dy);
			this.dir = (this.frame >> 1) & 3;
		}

	}
	
}
