﻿
package net.kaikoga.fusalg.mortal.enemyd {
	
	import flash.geom.Rectangle;
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.chip.DotchipChipSet;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.ACharacter;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class AEnemyD extends ACharacter {
		
		public function AEnemyD(chips:DotchipChipSet, face:String) {
			super(chips);
			this.chipName = face;
			this.physicalDamage = 8;
			this.life = 4;
			this.singleDir = true;
		}
		
		public function run(field:Field, dx:int, dy:int):Boolean {
			return this.moveSelf(field, dx, dy);
		}

		override public function frameMove(field:Field):void {
			super.frameMove(field);
			this.frame++;
			if (this.frame & 1) {
				this.run(field, 0, 1);
			}
			this.dir = (this.frame >> 3) & 1;
		}

	}
	
}
