﻿
package net.kaikoga.fusalg.mortal.enemye {
	
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.effects.SparkEffect;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class Zombie extends AEnemyE {
		
		private static const RUN_NAMES:Array/*String*/= ["zombie0", "zombie-", "zombie0", "zombie+", "zombie"];
		
		public function Zombie() {
			super(RUN_NAMES);
			this.physicalDamage = 16;
			this.life = 25;
			this.killExp = 12;
			this.killGold = 30;
		}
		
		override public function onDispose(field:Field):void {
			super.onDispose(field);
				for (var i:int = 16; i > 0; i--) {
					field.addEffect(new SparkEffect(this.sparkType, -1), this.position.x, this.position.y);
				}
		}
		
	}
	
}
