﻿
package net.kaikoga.fusalg.mortal.enemyf {
	
	import net.kaikoga.fusalg.chip.DotchipChipSet;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.AWarrior;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class AEnemyF extends AWarrior {
		
		protected var flitRate:Number = 0.1;
		
		private var dx:int = 0;
		private var dy:int = 1;
		
		public function AEnemyF(chips:DotchipChipSet) {
			super(chips);
			this.armor = 12;
		}
		
		protected function tryAttack(field:Field):void {
			;
		}
		
		override public function frameMove(field:Field):void {
			if (Math.random() < this.flitRate) {
				var dposx:int = field.avatar.position.x - this.position.x;
				var dposy:int = field.avatar.position.y - this.position.y;
				this.dx = (dposx < 0) ? -2 : 2;
				this.dy = (dposy < 0) ? -2 : 2;
				dposx = (dposx < 0) ? -dposx : dposx;
				dposy = (dposy < 0) ? -dposy : dposy;
				if (dposx < dposy) {
					this.dx /= 2;
				} else {
					this.dy /= 2;
				}
			}
			if (this.getMyProjectileDamage() == 0) {
				if (Math.random() < 0.04) {
					this.tryAttack(field);
				}
				this.run(field, this.dx, this.dy);
			}
			this.yankBoss(8);
			super.frameMove(field);
		}
		
	}
	
}
