﻿
package net.kaikoga.fusalg.mortal.enemyf {
	
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.field.Field;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class AxeRogue extends AEnemyF {
		
		public function AxeRogue(bossmode:Boolean = true) {
			super(Chips.getInstance().rogueChipM);
			this.life = bossmode ? 80 : 60;
			this.killExp = bossmode ? 50 : 25;
			this.killGold = bossmode ? 800 : 300;
			this.physicalDamage = 24;
			this.projectileDamage = 16;
		}
		
		override protected function tryAttack(field:Field):void {
			if (this.canAttack()) {
				this.attack(field, "axe", new EnemyWarriorProjectile(Chips.getInstance().weaponChipM, 24, 1, this.projectileDamage));
			}
		}
		
	}
	
}
