﻿
package net.kaikoga.fusalg.mortal.enemyf {
	
	import net.kaikoga.fusalg.chip.Chips;
	import net.kaikoga.fusalg.field.Field;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class SwordRogue extends AEnemyF {
		
		public function SwordRogue(bossmode:Boolean = true) {
			super(Chips.getInstance().rogueChipM);
			this.life = bossmode ? 60 : 45;
			this.killExp = bossmode ? 50 : 25;
			this.killGold = bossmode ? 800 : 300;
			this.physicalDamage = 16;
			this.projectileDamage = 24;
		}
		
		override protected function tryAttack(field:Field):void {
			if (this.canAttack()) {
				this.attack(field, "sword", new EnemyWarriorProjectile(Chips.getInstance().weaponChipM, 12, 2, this.projectileDamage));
			}
		}

	}
	
}
