﻿
package net.kaikoga.fusalg.mortal.npc {
	
	import flash.geom.Point;
	import flash.geom.Rectangle;
	import net.kaikoga.fusalg.chip.DotchipChipSet;
	import net.kaikoga.fusalg.field.Field;
	import net.kaikoga.fusalg.mortal.ACharacter;
	import net.kaikoga.fusalg.mortal.ally.Fusa;
	import net.kaikoga.fusalg.mortal.AMortal;
	
	/**
	 * ...
	 * @author kaikoga
	 */
	public class ANPC extends ACharacter {
		
		private var chipName1:String;
		private var chipName2:String;
		private var ignoreHitFrames:int = 0;
		private var willYank:Boolean;
		
		public function ANPC(chips:DotchipChipSet, chipname1:String, chipname2:String, willyank:Boolean = false) {
			super(chips);
			this.chipName = chipname1;
			this.chipName1 = chipname1;
			this.chipName2 = chipname2;
			this.chipShift = new Point(0, 0);
			this.physicalBound = new Rectangle(0, 0, 32, 32);
			this.physicalDamage = 0;
			this.willYank = willyank;
		}
		
		public function onHitNPC(field:Field):void {
			;
		}
		
		override public final function onHit(field:Field, src:AMortal):void {
			if (src is Fusa) {
				if (this.ignoreHitFrames < 0) {
					this.onHitNPC(field);
				}
				this.ignoreHitFrames = 4;
			}
		}
		
		override public function onGetDamage(field:Field, src:AMortal, damage:int):void {
			this.life = 0;
		}
		
		override public function frameMove(field:Field):void {
			super.frameMove(field);
			this.frame++;
			this.ignoreHitFrames--;
			this.chipName = ((++this.frame) & 16) ? this.chipName1:chipName2;
			if (this.willYank) {
				this.yankBoss(32);
			}
		}

	}
	
}
