﻿
package net.kaikoga.fusalg.util {
	
	/**
	* ...
	* @author kaikoga
	*/
	public class KeyState {
		
		protected var stateMap:Object/*Boolean*/;
		protected var events:Array/*KeyEventRecord*/;
		
		private static const EVENTS_SIZE:int = 32;
		
		public function KeyState() {
			super();
			this.stateMap = new Object/*Boolean*/();
			this.events = new Array/*KeyEventRecord*/();
		}
		
		public function getStateOfKey(key:*):* {
			return stateMap[key];
		}
		
		public function setStateOfKey(key:*, value:*):void {
			stateMap[key] = value;
		}
		
		public function queueEvent(event:KeyEventRecord):void {
			if (events.length < EVENTS_SIZE) {
				events.push(event);
			}
		}

		public function flushEvents():void {
			events = new Array/*Object*/();
		}
		
		public function nextEvent():KeyEventRecord {
			return KeyEventRecord(events.shift());
		}
		
	}
	
}
